Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface AbstractToolEntry

All Superinterfaces:
  EntryBase, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ToolGroupItem

All Known Subinterfaces:
  StandardEntry, ToolEntry

All Known Implementing Classes:
  AbstractToolEntryImpl, StandardEntryImpl, ToolEntryImpl

    public interface AbstractToolEntry

extends EntryBase, ToolGroupItem

A representation of the model object 'Abstract Tool Entry'.

The following features are supported:

- `Default`
- `Qualified Tool Name`
- `Properties`

See Also:
  `GMFGenPackage.getAbstractToolEntry()`
** Generated **
Model:
  abstract="true"

Method Summary
`org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.String>` `getProperties()` Returns the value of the 'Properties' map.
`java.lang.String` `getQualifiedToolName()` Returns the value of the 'Qualified Tool Name' attribute
`boolean` `isDefault()` Returns the value of the 'Default' attribute.
`void` `setDefault(boolean value)` Sets the value of the '`Default`' attribute
`void` `setQualifiedToolName(java.lang.String value)` Sets the value of the '`Qualified Tool Name`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.EntryBase
`getCreateMethodName, getDescription, getLargeIconPath, getSmallIconPath, getTitle, setCreateMethodName, setDescription, setLargeIconPath, setSmallIconPath, setTitle`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.ToolGroupItem
`getGroup`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isDefault

    boolean isDefault()

  Returns the value of the 'Default' attribute. The default value is `"false"`.

  If the meaning of the 'Default' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default' attribute.
  See Also:
    `setDefault(boolean)`, `GMFGenPackage.getAbstractToolEntry_Default()`
  ** Generated **
  Model:
    default="false"

### setDefault

    void setDefault(boolean value)

  Sets the value of the '`Default`' attribute.

  Parameters:
    `value` - the new value of the 'Default' attribute.
  See Also:
    `isDefault()`
  ** Generated **

### getQualifiedToolName

    java.lang.String getQualifiedToolName()

  Returns the value of the 'Qualified Tool Name' attribute. Optional

  Returns:
    the value of the 'Qualified Tool Name' attribute.
  See Also:
    `setQualifiedToolName(String)`, `GMFGenPackage.getAbstractToolEntry_QualifiedToolName()`
  ** Generated **
  Model:

### setQualifiedToolName

    void setQualifiedToolName(java.lang.String value)

  Sets the value of the '`Qualified Tool Name`' attribute.

  Parameters:
    `value` - the new value of the 'Qualified Tool Name' attribute.
  See Also:
    `getQualifiedToolName()`
  ** Generated **

### getProperties

    org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.String> getProperties()

  Returns the value of the 'Properties' map. The key is of type `String`, and the value is of type `String`,

  If the meaning of the 'Properties' map isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Properties' map.
  See Also:
    `GMFGenPackage.getAbstractToolEntry_Properties()`
  ** Generated **
  Model:
    mapType="org.eclipse.emf.ecore.EStringToStringMapEntry<org.eclipse.emf.ecore.EString, org.eclipse.emf.ecore.EString>"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.